<?php  
	include "conexion.php";
	include "insertar_log.php";
	$id_aplicacion = "0";

	$id_cliente = $_POST['id_cliente'];
	$criterio = $_POST['criterio'];


	$datos = " Ingresa a obtener_choferes con id_cliente=".$id_cliente." y criterio=".$criterio;	
		insertarLog($datos,$id_aplicacion);

	$sql = "select ";
	$sql .= "id_chofer,";
	$sql .= "nombre ";
	$sql .= "from ";
	$sql .= "choferes ";
	$sql .= "where ";
	$sql .= "id_cliente= ".$id_cliente." and ";
	$sql .= "estatus=1 and ";
	$sql .= "(id_chofer like '%".$criterio."%' or ";
	$sql .= "nombre like '%".$criterio."%' or ";
	$sql .= "rfc like '%".$criterio."%') ";

	$sentencia = $conexion->prepare($sql);
	$sentencia->execute();

	$resultado = $sentencia->get_result();
	$cont=0;

	while($fila = $resultado->fetch_assoc())
	{
		$choferes["id"]=$fila['id_chofer'];
		$choferes["descripcion"]=$fila['nombre'];
		$array[$cont] = $choferes;
		$cont++;
	}

	$sentencia->close();

	$datos = " Obtuvo lista de choferes del id_cliente=".$id_cliente." con criterio=".$criterio;	
		insertarLog($datos,$id_aplicacion);

	echo response(0,"OK",$array);


	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}



?>